//
//  Message.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//

#import "Message.h"


@implementation Message

@dynamic id;
@dynamic content;
@dynamic targetController;
@dynamic isEncrypted;
@dynamic isUDP;




-(id)init
{
	self = [super init];
	_isEncrypted = NO;
	return self;
}

-(NSInteger)id
{
	return _id;
}

-(void)setId:(NSInteger)value
{
	_id = value;
}

-(id<ISFSObject>)content
{
	return _content;
}

-(void)setContent:(id<ISFSObject>)value
{
	_content = value;
}

-(NSInteger)targetController
{
	return _targetController;
}

-(void)setTargetController:(NSInteger)value
{
	_targetController = value;
}

-(BOOL)isEncrypted
{
	return _isEncrypted;
}

-(void)setIsEncrypted:(BOOL)value
{
	_isEncrypted = value;
}

-(BOOL)isUDP
{
	return _isUDP;
}

-(void)setIsUDP:(BOOL)value
{
	_isUDP = value;
}

-(NSString *)description
{
	return [NSString stringWithFormat:@"{ Message id: %ld }\n{Dump: }\n%@", (long)_id, [_content getDump:YES]];
}


@end
